#pragma once

namespace LeoHelpers
{
	enum VERNUM_TYPE
	{
		VNT_FILEVERSION,
		VNT_PRODUCTVERSION
	};

	bool CopyVersionNumber(DWORD *pdwHigh, DWORD *pdwLow, VERNUM_TYPE verType, const LPVOID pVerData);

	bool CopyVersionString(wchar_t *szDestBuffer, UINT uiDestBufferSize, wchar_t *szItemName, BYTE *pLang, const LPVOID pVerData);

	// Give NULL binary path to get the version of the hModule (hModule is unused otherwise).
	// Give NULL hModule as well to get the version of the current exe.
	bool GetVersionNumber(DWORD *pdwHigh, DWORD *pdwLow, const wchar_t *szBinaryPath, HMODULE hModule);
};
